Bug 136277 - /proc/sys/kernel/core_uses_pid = 0 does not work
Summary: /proc/sys/kernel/core_uses_pid = 0 does not work
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-19 03:51 UTC by Jamie Zawinski
Modified: 2015-01-04 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 06:08:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jamie Zawinski 2004-10-19 03:51:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
I want my core files to be named "core" and not "core.32767"
so I have "kernel.core_uses_pid = 0" in /etc/sysctl.conf.
/proc/sys/kernel/core_uses_pid shows that the setting took:

    % cat /proc/sys/kernel/core_uses_pid
    0

And yet:

    % ls core*
    ls: No match.
    % xine [...]
    Abort (core dumped)
    % ls core*
    core.20574


Version-Release number of selected component (if applicable):
kernel-smp-2.6.8-1.521

How reproducible:
Always

Steps to Reproduce:
As above.

Actual Results:  Core file names have pid in them.

Expected Results:  Core files should be named "core".


Additional info:

Linux 2.6.8-1.521smp #1 SMP Mon Aug 16 09:25:06 EDT 2004 i686 athlon
i386 GNU/Linux

Comment 1 Francois-Xavier 'FiX' KOWALSKI 2004-12-10 12:57:19 UTC
Same pb on RHEL3.

Comment 2 Dave Jones 2005-04-16 06:08:02 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.